# Asterisk Project : Asterisk 13 Function_CALENDAR_QUERY_RESULT

Created by wikibot on Aug 08, 2014

# CALENDAR_QUERY_RESULT()

### Synopsis

Retrieve data from a previously run CALENDAR_QUERY() call

### Description

After running CALENDAR_QUERY and getting a result id, calling `CALENDAR_QUERY` with that id and a field will return the data for that field. If multiple events matched the query, and entry is provided, information from that event will be returned.

### Syntax

    CALENDAR_QUERY_RESULT(id,field[,entry])

##### Arguments

- `id` - The query ID returned by `CALENDAR_QUERY`
- `field`
  - `getnum` - number of events occurring during time range
  - `summary` - A summary of the event
  - `description` - The full event description
  - `organizer` - The event organizer
  - `location` - The event location
  - `categories` - The categories of the event
  - `priority` - The priority of the event
  - `calendar` - The name of the calendar associted with the event
  - `uid` - The unique identifier for the event
  - `start` - The start time of the event (in seconds since epoch)
  - `end` - The end time of the event (in seconds since epoch)
  - `busystate` - The busy status of the event 0=FREE, 1=TENTATIVE, 2=BUSY
- `entry` - Return data from a specific event returned by the query

### See Also

- Asterisk 13 Function_CALENDAR_BUSY
- Asterisk 13 Function_CALENDAR_EVENT
- Asterisk 13 Function_CALENDAR_QUERY
- Asterisk 13 Function_CALENDAR_WRITE

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538